# Index

Symbols | C | E | H | K | L | O | R | T | V | W

## Symbols

- --action <ACTION>
  - kitty-@-resize-os-window command line option
- --add-cursor
  - kitty-@-get-text command line option
- --add-trailing-space <ADD_TRAILING_SPACE>
  - kitty-+kitten-hints command line option
- --add-wrap-markers
  - kitty-@-get-text command line option
- --align <ALIGN>
  - kitty-+kitten-icat command line option
- --all
  - kitty-@-disable-ligatures command line option
  - kitty-@-last-used-layout command line option
  - kitty-@-send-text command line option
  - kitty-@-set-background-image command line option
  - kitty-@-set-background-opacity command line option
  - kitty-@-set-colors command line option
  - kitty-@-set-font-size command line option
  - kitty-@-set-spacing command line option
- --all-env-vars
  - kitty-@-ls command line option
- --allow-remote-control
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --alphabet <ALPHABET>
  - kitty-+kitten-hints command line option
- --ansi
  - kitty-@-get-text command line option
- --ascending
  - kitty-+kitten-hints command line option
- --axis <AXIS>
  - kitty-@-resize-window command line option
- --cache-age <CACHE_AGE>
  - kitty-+kitten-themes command line option
- --class <CLS>
  - kitty command line option
  - kitty-+kitten-panel command line option
- --clear
  - kitty-+kitten-icat command line option
- --color <COLOR>
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --columns <COLUMNS>
  - kitty-+kitten-panel command line option
- --config <CONFIG>
  - kitty command line option
  - kitty-+kitten-diff command line option
  - kitty-+kitten-panel command line option
- --configured
  - kitty-@-get-colors command line option
  - kitty-@-set-background-image command line option
  - kitty-@-set-colors command line option
  - kitty-@-set-spacing command line option
- --context <CONTEXT>
  - kitty-+kitten-diff command line option
- --copy-cmdline
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --copy-colors
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --copy-env
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --customize-processing <CUSTOMIZE_PROCESSING>
  - kitty-+kitten-hints command line option
- --cwd <CWD>
  - command line option
  - kitty-@-launch command line option
  - kitty-@-new-window command line option
  - launch command line option
- --debug-font-fallback
  - kitty command line option
- --debug-gl
  - kitty command line option
- --debug-input
  - kitty command line option
- --debug-keyboard
  - kitty command line option
- --debug-rendering
  - kitty command line option
- --detach
  - kitty command line option
- --detect-support
  - kitty-+kitten-icat command line option
- --detection-timeout <DETECTION_TIMEOUT>
  - kitty-+kitten-icat command line option
- --directory <DIRECTORY>
  - kitty command line option
- --dump-bytes <DUMP_BYTES>
  - kitty command line option
- --dump-commands
  - kitty command line option
- --dump-theme
  - kitty-+kitten-themes command line option
- --edge <EDGE>
  - kitty-+kitten-panel command line option
- --emoji-variation <EMOJI_VARIATION>
  - kitty-+kitten-unicode_input command line option
- --env <ENV>
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --exclude-active
  - kitty-@-send-text command line option
- --extent <EXTENT>
  - kitty-@-get-text command line option
- --from-file <FROM_FILE>
  - kitty-@-send-text command line option
- --get-clipboard
  - kitty-+kitten-clipboard command line option
- --height <HEIGHT>
  - kitty-@-resize-os-window command line option
- --hints-background-color <HINTS_BACKGROUND_COLOR>
  - kitty-+kitten-hints command line option
- --hints-foreground-color <HINTS_FOREGROUND_COLOR>
  - kitty-+kitten-hints command line option
- --hints-offset <HINTS_OFFSET>
  - kitty-+kitten-hints command line option
- --hints-text-color <HINTS_TEXT_COLOR>
  - kitty-+kitten-hints command line option
- --hold
  - kitty command line option
  - kitty-+kitten-icat command line option
- --increment <INCREMENT>
  - kitty-@-resize-window command line option
- --incremental
  - kitty-@-resize-os-window command line option
- --instance-group <INSTANCE_GROUP>
  - kitty command line option
- --keep-focus
  - command line option
  - kitty-@-launch command line option
  - kitty-@-new-window command line option
  - launch command line option
- --layout <LAYOUT>
  - kitty-@-set-background-image command line option
- --linenum-action <LINENUM_ACTION>
  - kitty-+kitten-hints command line option
- --lines <LINES>
  - kitty-+kitten-panel command line option
- --listen-on <LISTEN_ON>
  - kitty command line option
- --location <LOCATION>
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --loop <LOOP>
  - kitty-+kitten-icat command line option
- --marker <MARKER>
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --match <MATCH>
  - kitty-+kitten-broadcast command line option
  - kitty-@-close-tab command line option
  - kitty-@-close-window command line option
  - kitty-@-create-marker command line option
  - kitty-@-detach-tab command line option
  - kitty-@-detach-window command line option
  - kitty-@-disable-ligatures command line option
  - kitty-@-focus-tab command line option
  - kitty-@-focus-window command line option
  - kitty-@-get-colors command line option
  - kitty-@-get-text command line option
  - kitty-@-goto-layout command line option
  - kitty-@-kitten command line option
  - kitty-@-last-used-layout command line option
  - kitty-@-launch command line option
  - kitty-@-new-window command line option
  - kitty-@-remove-marker command line option
  - kitty-@-resize-os-window command line option
  - kitty-@-resize-window command line option
  - kitty-@-scroll-window command line option
  - kitty-@-send-text command line option
  - kitty-@-set-background-image command line option
  - kitty-@-set-background-opacity command line option
  - kitty-@-set-colors command line option
  - kitty-@-set-spacing command line option
  - kitty-@-set-tab-title command line option
  - kitty-@-set-window-title command line option
  - kitty-@-signal-child command line option
- --match-tab <MATCH_TAB>
  - kitty-+kitten-broadcast command line option
  - kitty-@-disable-ligatures command line option
  - kitty-@-send-text command line option
  - kitty-@-set-background-opacity command line option
  - kitty-@-set-colors command line option
  - kitty-@-set-spacing command line option
- --minimum-match-length <MINIMUM_MATCH_LENGTH>
  - kitty-+kitten-hints command line option
- --multiple
  - kitty-+kitten-hints command line option
- --multiple-joiner <MULTIPLE_JOINER>
  - kitty-+kitten-hints command line option
- --name <NAME>
  - kitty command line option
  - kitty-+kitten-panel command line option
- --new-tab
  - kitty-@-new-window command line option
- --no-response
  - kitty-@-focus-tab command line option
  - kitty-@-focus-window command line option
  - kitty-@-last-used-layout command line option
  - kitty-@-launch command line option
  - kitty-@-new-window command line option
  - kitty-@-resize-os-window command line option
  - kitty-@-set-background-image command line option

- --os-window-class <OS_WINDOW_CLASS>
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --os-window-name <OS_WINDOW_NAME>
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --override <OVERRIDE>
  - kitty command line option
  - kitty-+kitten-diff command line option
  - kitty-+kitten-panel command line option
- --place <PLACE>
  - kitty-+kitten-icat command line option
- --print-window-size
  - kitty-+kitten-icat command line option
- --program <PROGRAM>
  - kitty-+kitten-hints command line option
- --regex <REGEX>
  - kitty-+kitten-hints command line option
- --reload-in <RELOAD_IN>
  - kitty-+kitten-themes command line option
- --replay-commands <REPLAY_COMMANDS>
  - kitty command line option
- --reset
  - kitty-@-set-colors command line option
- --scale-up
  - kitty-+kitten-icat command line option
- --self
  - kitty-@-close-tab command line option
  - kitty-@-close-window command line option
  - kitty-@-create-marker command line option
  - kitty-@-detach-tab command line option
  - kitty-@-detach-window command line option
  - kitty-@-get-text command line option
  - kitty-@-launch command line option
  - kitty-@-remove-marker command line option
  - kitty-@-resize-os-window command line option
  - kitty-@-resize-window command line option
- --session <SESSION>
  - kitty command line option
- --silent
  - kitty-+kitten-icat command line option
- --single-instance
  - kitty command line option
- --start-as <START_AS>
  - kitty command line option
- --stdin
  - kitty-@-send-text command line option
- --stdin <STDIN>
  - kitty-+kitten-icat command line option
- --stdin-add-formatting
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --stdin-add-line-wrap-markers
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --stdin-source <STDIN_SOURCE>
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --tab-title <TAB_TITLE>
  - command line option
  - kitty-@-launch command line option
  - kitty-@-new-window command line option
  - launch command line option
- --target-tab <TARGET_TAB>
  - kitty-@-detach-tab command line option
  - kitty-@-detach-window command line option
- --temporary
  - kitty-@-set-window-title command line option
- --title <TITLE>
  - kitty command line option
  - kitty-@-new-window command line option
- --title <WINDOW_TITLE>
  - command line option
  - kitty-@-launch command line option
  - launch command line option
- --to <TO>
  - kitty-@ command line option
- --transfer-mode <TRANSFER_MODE>
  - kitty-+kitten-icat command line option
- --type <TYPE>
  - command line option
  - kitty-+kitten-hints command line option
  - kitty-@-launch command line option
  - launch command line option
- --unit <UNIT>
  - kitty-@-resize-os-window command line option
- --url-prefixes <URL_PREFIXES>
  - kitty-+kitten-hints command line option
- --use-primary
  - kitty-+kitten-clipboard command line option
- --version
  - kitty command line option
- --wait-for <WAIT_FOR>
  - kitty-+kitten-query_terminal command line option
- --wait-for-completion
  - kitty-+kitten-clipboard command line option
- --wait-for-single-instance-window-close
  - kitty command line option
- --watcher <WATCHER>
  - command line option
  - kitty command line option
  - kitty-@-launch command line option
  - launch command line option
- --width <WIDTH>
  - kitty-@-resize-os-window command line option
- --window-title <WINDOW_TITLE>
  - command line option
  - kitty-+kitten-hints command line option
  - kitty-@-launch command line option
  - launch command line option
- --window-type <WINDOW_TYPE>
  - kitty-@-new-window command line option
- --word-characters <WORD_CHARACTERS>
  - kitty-+kitten-hints command line option
- --working-directory <DIRECTORY>
  - kitty command line option
- --z-index <Z_INDEX>
  - kitty-+kitten-icat command line option
- -1
  - kitty command line option
- -a
  - kitty-@-disable-ligatures command line option
  - kitty-@-last-used-layout command line option
  - kitty-@-set-background-image command line option
  - kitty-@-set-background-opacity command line option
  - kitty-@-set-colors command line option
  - kitty-@-set-font-size command line option
  - kitty-@-set-spacing command line option
- -a <AXIS>
  - kitty-@-resize-window command line option
- -c
  - kitty-@-get-colors command line option
  - kitty-@-set-background-image command line option
  - kitty-@-set-colors command line option
  - kitty-@-set-spacing command line option
- -c <CONFIG>
  - kitty command line option
  - kitty-+kitten-panel command line option
- -d <DIRECTORY>
  - kitty command line option
- -i <INCREMENT>
  - kitty-@-resize-window command line option
- -l <LOOP>
  - kitty-+kitten-icat command line option
- -m <MATCH>
  - kitty-+kitten-broadcast command line option
  - kitty-@-close-tab command line option
  - kitty-@-close-window command line option
  - kitty-@-create-marker command line option
  - kitty-@-detach-tab command line option
  - kitty-@-detach-window command line option
  - kitty-@-disable-ligatures command line option
  - kitty-@-focus-tab command line option
  - kitty-@-focus-window command line option
  - kitty-@-get-colors command line option
  - kitty-@-get-text command line option
  - kitty-@-goto-layout command line option
  - kitty-@-kitten command line option
  - kitty-@-last-used-layout command line option
  - kitty-@-launch command line option
  - kitty-@-new-window command line option
  - kitty-@-remove-marker command line option
  - kitty-@-resize-os-window command line option
  - kitty-@-resize-window command line option
  - kitty-@-scroll-window command line option
  - kitty-@-send-text command line option
  - kitty-@-set-background-image command line option
  - kitty-@-set-background-opacity command line option
  - kitty-@-set-colors command line option
  - kitty-@-set-spacing command line option
  - kitty-@-set-tab-title command line option
  - kitty-@-set-window-title command line option
  - kitty-@-signal-child command line option
- -o <OVERRIDE>
  - kitty command line option
  - kitty-+kitten-diff command line option
  - kitty-+kitten-panel command line option
- -t <MATCH_TAB>
  - kitty-+kitten-broadcast command line option
  - kitty-@-disable-ligatures command line option
  - kitty-@-send-text command line option
  - kitty-@-set-background-opacity command line option
  - kitty-@-set-colors command line option
  - kitty-@-set-spacing command line option
- -t <TARGET_TAB>
  - kitty-@-detach-tab command line option
  - kitty-@-detach-window command line option
- -T <TITLE>
  - kitty command line option
- -v
  - kitty command line option
- -w <WATCHER>
  - command line option
  - kitty command line option
  - kitty-@-launch command line option
  - launch command line option
- -z <Z_INDEX>
  - kitty-+kitten-icat command line option

## C

- command line option
  - --allow-remote-control
  - --color <COLOR>
  - --copy-cmdline
  - --copy-colors
  - --copy-env
  - --cwd <CWD>
  - --env <ENV>
  - --keep-focus
  - --location <LOCATION>
  - --marker <MARKER>
  - --os-window-class <OS_WINDOW_CLASS>
  - --os-window-name <OS_WINDOW_NAME>
  - --stdin-add-formatting
  - --stdin-add-line-wrap-markers
  - --stdin-source <STDIN_SOURCE>
  - --tab-title <TAB_TITLE>
  - --title <WINDOW_TITLE>
  - --type <TYPE>
  - --watcher <WATCHER>
  - --window-title <WINDOW_TITLE>
  - -w <WATCHER>
- Config Setting
  - kitten-diff.added_bg
  - kitten-diff.diff_cmd
  - kitten-diff.filler_bg
  - kitten-diff.foreground
  - kitten-diff.hunk_margin_bg
  - kitten-diff.margin_bg
  - kitten-diff.margin_filler_bg
  - kitten-diff.num_context_lines
  - kitten-diff.pygments_style
  - kitten-diff.removed_bg
  - kitten-diff.replace_tab_by
  - kitten-diff.search_bg
  - kitten-diff.syntax_aliases
  - kitten-diff.title_fg
  - kitty.active_border_color
  - kitty.active_tab_foreground
  - kitty.active_tab_title_template
  - kitty.adjust_baseline
  - kitty.adjust_line_height
  - kitty.allow_hyperlinks
  - kitty.allow_remote_control
  - kitty.background_image
  - kitty.background_image_layout
  - kitty.background_image_linear
  - kitty.background_opacity
  - kitty.background_tint
  - kitty.bell_border_color
  - kitty.bell_on_tab
  - kitty.box_drawing_scale
  - kitty.clear_all_mouse_actions
  - kitty.clear_all_shortcuts
  - kitty.click_interval
  - kitty.clipboard_control
  - kitty.close_on_child_death
  - kitty.color0
  - kitty.color1
  - kitty.color2
  - kitty.color3
  - kitty.color4
  - kitty.color5
  - kitty.color6
  - kitty.color7
  - kitty.command_on_bell
  - kitty.confirm_os_window_close
  - kitty.copy_on_select
  - kitty.cursor
  - kitty.cursor_beam_thickness
  - kitty.cursor_blink_interval
  - kitty.cursor_shape
  - kitty.cursor_stop_blinking_after
  - kitty.cursor_text_color
  - kitty.cursor_underline_thickness
  - kitty.default_pointer_shape
  - kitty.detect_urls
  - kitty.dim_opacity
  - kitty.disable_ligatures
  - kitty.draw_minimal_borders
  - kitty.dynamic_background_opacity
  - kitty.editor
  - kitty.enable_audio_bell
  - kitty.enabled_layouts
  - kitty.env
  - kitty.focus_follows_mouse
  - kitty.font_family
  - kitty.font_features
  - kitty.font_size
  - kitty.force_ltr
  - kitty.foreground
  - kitty.hide_window_decorations
  - kitty.inactive_border_color
  - kitty.inactive_text_alpha
  - kitty.input_delay
  - kitty.kitten_alias
  - kitty.kitty_mod
  - kitty.linux_display_server
  - kitty.listen_on
  - kitty.macos_custom_beam_cursor
  - kitty.macos_hide_from_tasks
  - kitty.macos_option_as_alt
  - kitty.macos_quit_when_last_window_closed
  - kitty.macos_show_window_title_in
  - kitty.macos_thicken_font
  - kitty.macos_titlebar_color
  - kitty.macos_traditional_fullscreen
  - kitty.macos_window_resizable
  - kitty.mark1_background
  - kitty.mark1_foreground
  - kitty.mark2_background
  - kitty.mark2_foreground
  - kitty.mark3_background
  - kitty.mark3_foreground
  - kitty.mouse_hide_wait
  - kitty.open_url_with
  - kitty.placement_strategy
  - kitty.pointer_shape_when_dragging
  - kitty.pointer_shape_when_grabbed
  - kitty.remember_window_size
  - kitty.repaint_delay
  - kitty.resize_debounce_time
  - kitty.resize_draw_strategy
  - kitty.resize_in_steps
  - kitty.scrollback_fill_enlarged_window
  - kitty.scrollback_lines
  - kitty.scrollback_pager
  - kitty.scrollback_pager_history_size
  - kitty.select_by_word_characters
  - kitty.selection_background
  - kitty.selection_foreground
  - kitty.shell
  - kitty.single_window_margin_width
  - kitty.startup_session
  - kitty.strip_trailing_spaces
  - kitty.symbol_map
  - kitty.sync_to_monitor
  - kitty.tab_activity_symbol
  - kitty.tab_bar_background
  - kitty.tab_bar_edge
  - kitty.tab_bar_margin_height
  - kitty.tab_bar_margin_width
  - kitty.tab_bar_min_tabs
  - kitty.tab_bar_style
  - kitty.tab_fade
  - kitty.tab_powerline_style
  - kitty.tab_separator
  - kitty.tab_switch_strategy
  - kitty.tab_title_template
  - kitty.term
  - kitty.touch_scroll_multiplier
  - kitty.update_check_interval
  - kitty.url_color
  - kitty.url_excluded_characters
  - kitty.url_prefixes
  - kitty.visual_bell_duration
  - kitty.wayland_titlebar_color
  - kitty.wheel_scroll_multiplier
  - kitty.window_alert_on_bell
  - kitty.window_border_width
  - kitty.window_margin_width
  - kitty.window_padding_width
  - kitty.window_resize_step_cells

## E

- EDITOR, [1], [2]
- environment variable
  - COLORTERM
  - EDITOR, [1], [2], [3]
  - KITTY_CHILD_CMDLINE, [1]
  - KITTY_COMMON_OPTS
  - KITTY_CONFIG_DIRECTORY, [1], [2]
  - KITTY_LISTEN_ON
  - KITTY_PID
  - KITTY_PIPE_DATA, [1]
  - KITTY_WINDOW_ID
  - LANG, [1]
  - TERM
  - TERMINFO
  - VISUAL, [1], [2], [3], [4]
  - WINDOWID

## H

- hyperlinks

## K

- Keyboard Shortcut
  - kitten-diff.Decrease context
  - kitten-diff.Increase context
  - kitten-diff.Quit
  - kitten-diff.Scroll down
  - kitten-diff.Scroll to bottom
  - kitten-diff.Scroll to next change
  - kitten-diff.Scroll to next page
  - kitten-diff.Scroll to next search match
  - kitten-diff.Scroll to previous change
  - kitten-diff.Scroll to previous page
  - kitten-diff.Scroll to previous search match
  - kitten-diff.Scroll to top
  - kitten-diff.Scroll up
  - kitten-diff.Search backward
  - kitten-diff.Search backward (no regex)
  - kitten-diff.Search forward
  - kitten-diff.Search forward (no regex)
  - kitten-diff.Show all context
  - kitten-diff.Show default context
  - kitty.Browse scrollback buffer in less
  - kitty.Click the link under the mouse cursor
  - kitty.Click the link under the mouse cursor when no selection is created
  - kitty.Click the link under the mouse cursor when no selection is created even if grabbed
  - kitty.Close OS window
  - kitty.Close tab
  - kitty.Close window
  - kitty.Copy to clipboard
  - kitty.Debug kitty configuration
  - kitty.Decrease background opacity
  - kitty.Decrease font size
  - kitty.Discard press event for link click
  - kitty.Edit config file
  - kitty.Eight window
  - kitty.Extend the current selection
  - kitty.Extend the current selection even when grabbed
  - kitty.Fifth window
  - kitty.First window
  - kitty.Fourth window
  - kitty.Increase background opacity
  - kitty.Increase font size
  - kitty.Insert selected hash
  - kitty.Insert selected line
  - kitty.Insert selected path
  - kitty.Insert selected word
  - kitty.Make background fully opaque
  - kitty.Move tab backward
  - kitty.Move tab forward
  - kitty.Move window backward
  - kitty.Move window forward
  - kitty.Move window to top
  - kitty.New OS window
  - kitty.New tab
  - kitty.New window
  - kitty.Next layout
  - kitty.Next tab
  - kitty.Next window
  - kitty.Ninth window
  - kitty.Open selected path
  - kitty.Open the kitty command shell
  - kitty.Open the selected file at the selected line
  - kitty.Open the selected hyperlink
  - kitty.Open URL
  - kitty.Pass selection to program
  - kitty.Paste from clipboard
  - kitty.Paste from selection
  - kitty.Paste from the primary selection
  - kitty.Paste from the primary selection even when grabbed
  - kitty.Previous tab
  - kitty.Previous window
  - kitty.Reload kitty.conf
  - kitty.Reset background opacity
  - kitty.Reset font size
  - kitty.Reset the terminal
  - kitty.Scroll line down
  - kitty.Scroll line up
  - kitty.Scroll page down
  - kitty.Scroll page up
  - kitty.Scroll to bottom
  - kitty.Scroll to top
  - kitty.Second window
  - kitty.Select a line
  - kitty.Select a line even when grabbed
  - kitty.Select a word
  - kitty.Select a word even when grabbed
  - kitty.Select line from point
  - kitty.Select line from point even when grabbed
  - kitty.Send arbitrary text on key presses
  - kitty.Set tab title
  - kitty.Seventh window
  - kitty.Sixth window
  - kitty.Start resizing window
  - kitty.Start selecting text
  - kitty.Start selecting text even when grabbed
  - kitty.Start selecting text in a rectangle
  - kitty.Start selecting text in a rectangle even when grabbed
  - kitty.Tenth window
  - kitty.Third window
  - kitty.Toggle fullscreen
  - kitty.Toggle maximized
  - kitty.Unicode input
- kitten-diff.added_bg
  - Config Setting
- kitten-diff.Decrease context
  - Keyboard Shortcut
- kitten-diff.diff_cmd
  - Config Setting
- kitten-diff.filler_bg
  - Config Setting
- kitten-diff.foreground
  - Config Setting
- kitten-diff.hunk_margin_bg
  - Config Setting
- kitten-diff.Increase context
  - Keyboard Shortcut
- kitten-diff.margin_bg
  - Config Setting
- kitten-diff.margin_filler_bg
  - Config Setting
- kitten-diff.num_context_lines
  - Config Setting
- kitten-diff.pygments_style
  - Config Setting
- kitten-diff.Quit
  - Keyboard Shortcut
- kitten-diff.removed_bg
  - Config Setting
- kitten-diff.replace_tab_by
  - Config Setting
- kitten-diff.Scroll down
  - Keyboard Shortcut
- kitten-diff.Scroll to bottom
  - Keyboard Shortcut
- kitten-diff.Scroll to next change
  - Keyboard Shortcut
- kitten-diff.Scroll to next page
  - Keyboard Shortcut
- kitten-diff.Scroll to next search match
  - Keyboard Shortcut
- kitten-diff.Scroll to previous change
  - Keyboard Shortcut
- kitten-diff.Scroll to previous page
  - Keyboard Shortcut
- kitten-diff.Scroll to previous search match
  - Keyboard Shortcut
- kitten-diff.Scroll to top
  - Keyboard Shortcut
- kitten-diff.Scroll up
  - Keyboard Shortcut
- kitten-diff.Search backward
  - Keyboard Shortcut
- kitten-diff.Search backward (no regex)
  - Keyboard Shortcut
- kitten-diff.Search forward
  - Keyboard Shortcut
- kitten-diff.Search forward (no regex)
  - Keyboard Shortcut
- kitten-diff.search_bg
  - Config Setting
- kitten-diff.Show all context
  - Keyboard Shortcut
- kitten-diff.Show default context
  - Keyboard Shortcut
- kitten-diff.syntax_aliases
  - Config Setting
- kitten-diff.title_fg
  - Config Setting
- kitty command line option
  - --class <CLS>
  - --config <CONFIG>
  - --debug-font-fallback
  - --debug-gl
  - --debug-input
  - --debug-keyboard
  - --debug-rendering
  - --detach
  - --directory <DIRECTORY>
  - --dump-bytes <DUMP_BYTES>
  - --dump-commands
  - --hold
  - --instance-group <INSTANCE_GROUP>
  - --listen-on <LISTEN_ON>
  - --name <NAME>
  - --override <OVERRIDE>
  - --replay-commands <REPLAY_COMMANDS>
  - --session <SESSION>
  - --single-instance
  - --start-as <START_AS>
  - --title <TITLE>
  - --version
  - --wait-for-single-instance-window-close
  - --watcher <WATCHER>
  - --working-directory <DIRECTORY>
  - -1
  - -c <CONFIG>
  - -d <DIRECTORY>
  - -o <OVERRIDE>
  - -T <TITLE>
  - -v
  - -w <WATCHER>
- kitty-+kitten-broadcast command line option
  - --match <MATCH>
  - --match-tab <MATCH_TAB>
  - -m <MATCH>
  - -t <MATCH_TAB>
- kitty-+kitten-clipboard command line option
  - --get-clipboard
  - --use-primary
  - --wait-for-completion
- kitty-+kitten-diff command line option
  - --config <CONFIG>
  - --context <CONTEXT>
  - --override <OVERRIDE>
  - -o <OVERRIDE>
- kitty-+kitten-hints command line option
  - --add-trailing-space <ADD_TRAILING_SPACE>
  - --alphabet <ALPHABET>
  - --ascending
  - --customize-processing <CUSTOMIZE_PROCESSING>
  - --hints-background-color <HINTS_BACKGROUND_COLOR>
  - --hints-foreground-color <HINTS_FOREGROUND_COLOR>
  - --hints-offset <HINTS_OFFSET>
  - --hints-text-color <HINTS_TEXT_COLOR>
  - --linenum-action <LINENUM_ACTION>
  - --minimum-match-length <MINIMUM_MATCH_LENGTH>
  - --multiple
  - --multiple-joiner <MULTIPLE_JOINER>
  - --program <PROGRAM>
  - --regex <REGEX>
  - --type <TYPE>
  - --url-prefixes <URL_PREFIXES>
  - --window-title <WINDOW_TITLE>
  - --word-characters <WORD_CHARACTERS>
- kitty-+kitten-icat command line option
  - --align <ALIGN>
  - --clear
  - --detect-support
  - --detection-timeout <DETECTION_TIMEOUT>
  - --hold
  - --loop <LOOP>
  - --place <PLACE>
  - --print-window-size
  - --scale-up
  - --silent
  - --stdin <STDIN>
  - --transfer-mode <TRANSFER_MODE>
  - --z-index <Z_INDEX>
  - -l <LOOP>
  - -z <Z_INDEX>
- kitty-+kitten-panel command line option
  - --class <CLS>
  - --columns <COLUMNS>
  - --config <CONFIG>
  - --edge <EDGE>
  - --lines <LINES>
  - --name <NAME>
  - --override <OVERRIDE>
  - -c <CONFIG>
  - -o <OVERRIDE>
- kitty-+kitten-query_terminal command line option
  - --wait-for <WAIT_FOR>
- kitty-+kitten-themes command line option
  - --cache-age <CACHE_AGE>
  - --dump-theme
  - --reload-in <RELOAD_IN>
- kitty-+kitten-unicode_input command line option
  - --emoji-variation <EMOJI_VARIATION>
- kitty-@ command line option
  - --to <TO>
- kitty-@-close-tab command line option
  - --match <MATCH>
  - --self
  - -m <MATCH>
- kitty-@-close-window command line option
  - --match <MATCH>
  - --self
  - -m <MATCH>
- kitty-@-create-marker command line option
  - --match <MATCH>
  - --self
  - -m <MATCH>
- kitty-@-detach-tab command line option
  - --match <MATCH>
  - --self
  - --target-tab <TARGET_TAB>
  - -m <MATCH>
  - -t <TARGET_TAB>
- kitty-@-detach-window command line option
  - --match <MATCH>
  - --self
  - --target-tab <TARGET_TAB>
  - -m <MATCH>
  - -t <TARGET_TAB>
- kitty-@-disable-ligatures command line option
  - --all
  - --match <MATCH>
  - --match-tab <MATCH_TAB>
  - -a
  - -m <MATCH>
  - -t <MATCH_TAB>
- kitty-@-focus-tab command line option
  - --match <MATCH>
  - --no-response
  - -m <MATCH>
- kitty-@-focus-window command line option
  - --match <MATCH>
  - --no-response
  - -m <MATCH>
- kitty-@-get-colors command line option
  - --configured
  - --match <MATCH>
  - -c
  - -m <MATCH>
- kitty-@-get-text command line option
  - --add-cursor
  - --add-wrap-markers
  - --ansi
  - --extent <EXTENT>
  - --match <MATCH>
  - --self
  - -m <MATCH>
- kitty-@-goto-layout command line option
  - --match <MATCH>
  - -m <MATCH>
- kitty-@-kitten command line option
  - --match <MATCH>
  - -m <MATCH>
- kitty-@-last-used-layout command line option
  - --all
  - --match <MATCH>
  - --no-response
  - -a
  - -m <MATCH>
- kitty-@-launch command line option
  - --allow-remote-control
  - --color <COLOR>
  - --copy-cmdline
  - --copy-colors
  - --copy-env
  - --cwd <CWD>
  - --env <ENV>
  - --keep-focus
  - --location <LOCATION>
  - --marker <MARKER>
  - --match <MATCH>
  - --no-response
  - --os-window-class <OS_WINDOW_CLASS>
  - --os-window-name <OS_WINDOW_NAME>
  - --self
  - --stdin-add-formatting
  - --stdin-add-line-wrap-markers
  - --stdin-source <STDIN_SOURCE>
  - --tab-title <TAB_TITLE>
  - --title <WINDOW_TITLE>
  - --type <TYPE>
  - --watcher <WATCHER>
  - --window-title <WINDOW_TITLE>
  - -m <MATCH>
  - -w <WATCHER>
- kitty-@-ls command line option
  - --all-env-vars
- kitty-@-new-window command line option
  - --cwd <CWD>
  - --keep-focus
  - --match <MATCH>
  - --new-tab
  - --no-response
  - --tab-title <TAB_TITLE>
  - --title <TITLE>
  - --window-type <WINDOW_TYPE>
  - -m <MATCH>
- kitty-@-remove-marker command line option
  - --match <MATCH>
  - --self
  - -m <MATCH>
- kitty-@-resize-os-window command line option
  - --action <ACTION>
  - --height <HEIGHT>
  - --incremental
  - --match <MATCH>
  - --no-response
  - --self
  - --unit <UNIT>
  - --width <WIDTH>
  - -m <MATCH>
- kitty-@-resize-window command line option
  - --axis <AXIS>
  - --increment <INCREMENT>
  - --match <MATCH>
  - --self
  - -a <AXIS>
  - -i <INCREMENT>
  - -m <MATCH>
- kitty-@-scroll-window command line option
  - --match <MATCH>
  - -m <MATCH>
- kitty-@-send-text command line option
  - --all
  - --exclude-active
  - --from-file <FROM_FILE>
  - --match <MATCH>
  - --match-tab <MATCH_TAB>
  - --stdin
  - -m <MATCH>
  - -t <MATCH_TAB>
- kitty-@-set-background-image command line option
  - --all
  - --configured
  - --layout <LAYOUT>
  - --match <MATCH>
  - --no-response
  - -a
  - -c
  - -m <MATCH>
- kitty-@-set-background-opacity command line option
  - --all
  - --match <MATCH>
  - --match-tab <MATCH_TAB>
  - -a
  - -m <MATCH>
  - -t <MATCH_TAB>
- kitty-@-set-colors command line option
  - --all
  - --configured
  - --match <MATCH>
  - --match-tab <MATCH_TAB>
  - --reset
  - -a
  - -c
  - -m <MATCH>
  - -t <MATCH_TAB>
- kitty-@-set-font-size command line option
  - --all
  - -a
- kitty-@-set-spacing command line option
  - --all
  - --configured
  - --match <MATCH>
  - --match-tab <MATCH_TAB>
  - -a
  - -c
  - -m <MATCH>
  - -t <MATCH_TAB>

- kitty-@-set-tab-title command line option
  - --match <MATCH>
  - -m <MATCH>
- kitty-@-set-window-title command line option
  - --match <MATCH>
  - --temporary
  - -m <MATCH>
- kitty-@-signal-child command line option
  - --match <MATCH>
  - -m <MATCH>
- kitty.active_border_color
  - Config Setting
- kitty.active_tab_foreground
  - Config Setting
- kitty.active_tab_title_template
  - Config Setting
- kitty.adjust_baseline
  - Config Setting
- kitty.adjust_line_height
  - Config Setting
- kitty.allow_hyperlinks
  - Config Setting
- kitty.allow_remote_control
  - Config Setting
- kitty.background_image
  - Config Setting
- kitty.background_image_layout
  - Config Setting
- kitty.background_image_linear
  - Config Setting
- kitty.background_opacity
  - Config Setting
- kitty.background_tint
  - Config Setting
- kitty.bell_border_color
  - Config Setting
- kitty.bell_on_tab
  - Config Setting
- kitty.box_drawing_scale
  - Config Setting
- kitty.Browse scrollback buffer in less
  - Keyboard Shortcut
- kitty.clear_all_mouse_actions
  - Config Setting
- kitty.clear_all_shortcuts
  - Config Setting
- kitty.Click the link under the mouse cursor
  - Keyboard Shortcut
- kitty.Click the link under the mouse cursor when no selection is created
  - Keyboard Shortcut
- kitty.Click the link under the mouse cursor when no selection is created even if grabbed
  - Keyboard Shortcut
- kitty.click_interval
  - Config Setting
- kitty.clipboard_control
  - Config Setting
- kitty.Close OS window
  - Keyboard Shortcut
- kitty.Close tab
  - Keyboard Shortcut
- kitty.Close window
  - Keyboard Shortcut
- kitty.close_on_child_death
  - Config Setting
- kitty.color0
  - Config Setting
- kitty.color1
  - Config Setting
- kitty.color2
  - Config Setting
- kitty.color3
  - Config Setting
- kitty.color4
  - Config Setting
- kitty.color5
  - Config Setting
- kitty.color6
  - Config Setting
- kitty.color7
  - Config Setting
- kitty.command_on_bell
  - Config Setting
- kitty.confirm_os_window_close
  - Config Setting
- kitty.Copy to clipboard
  - Keyboard Shortcut
- kitty.copy_on_select
  - Config Setting
- kitty.cursor
  - Config Setting
- kitty.cursor_beam_thickness
  - Config Setting
- kitty.cursor_blink_interval
  - Config Setting
- kitty.cursor_shape
  - Config Setting
- kitty.cursor_stop_blinking_after
  - Config Setting
- kitty.cursor_text_color
  - Config Setting
- kitty.cursor_underline_thickness
  - Config Setting
- kitty.Debug kitty configuration
  - Keyboard Shortcut
- kitty.Decrease background opacity
  - Keyboard Shortcut
- kitty.Decrease font size
  - Keyboard Shortcut
- kitty.default_pointer_shape
  - Config Setting
- kitty.detect_urls
  - Config Setting
- kitty.dim_opacity
  - Config Setting
- kitty.disable_ligatures
  - Config Setting
- kitty.Discard press event for link click
  - Keyboard Shortcut
- kitty.draw_minimal_borders
  - Config Setting
- kitty.dynamic_background_opacity
  - Config Setting
- kitty.Edit config file
  - Keyboard Shortcut
- kitty.editor
  - Config Setting
- kitty.Eight window
  - Keyboard Shortcut
- kitty.enable_audio_bell
  - Config Setting
- kitty.enabled_layouts
  - Config Setting
- kitty.env
  - Config Setting
- kitty.Extend the current selection
  - Keyboard Shortcut
- kitty.Extend the current selection even when grabbed
  - Keyboard Shortcut
- kitty.Fifth window
  - Keyboard Shortcut
- kitty.First window
  - Keyboard Shortcut
- kitty.focus_follows_mouse
  - Config Setting
- kitty.font_family
  - Config Setting
- kitty.font_features
  - Config Setting
- kitty.font_size
  - Config Setting
- kitty.force_ltr
  - Config Setting
- kitty.foreground
  - Config Setting
- kitty.Fourth window
  - Keyboard Shortcut
- kitty.hide_window_decorations
  - Config Setting
- kitty.inactive_border_color
  - Config Setting
- kitty.inactive_text_alpha
  - Config Setting
- kitty.Increase background opacity
  - Keyboard Shortcut
- kitty.Increase font size
  - Keyboard Shortcut
- kitty.input_delay
  - Config Setting
- kitty.Insert selected hash
  - Keyboard Shortcut
- kitty.Insert selected line
  - Keyboard Shortcut
- kitty.Insert selected path
  - Keyboard Shortcut
- kitty.Insert selected word
  - Keyboard Shortcut
- kitty.kitten_alias
  - Config Setting
- kitty.kitty_mod
  - Config Setting
- kitty.linux_display_server
  - Config Setting
- kitty.listen_on
  - Config Setting
- kitty.macos_custom_beam_cursor
  - Config Setting
- kitty.macos_hide_from_tasks
  - Config Setting
- kitty.macos_option_as_alt
  - Config Setting
- kitty.macos_quit_when_last_window_closed
  - Config Setting
- kitty.macos_show_window_title_in
  - Config Setting
- kitty.macos_thicken_font
  - Config Setting
- kitty.macos_titlebar_color
  - Config Setting
- kitty.macos_traditional_fullscreen
  - Config Setting
- kitty.macos_window_resizable
  - Config Setting
- kitty.Make background fully opaque
  - Keyboard Shortcut
- kitty.mark1_background
  - Config Setting
- kitty.mark1_foreground
  - Config Setting
- kitty.mark2_background
  - Config Setting
- kitty.mark2_foreground
  - Config Setting
- kitty.mark3_background
  - Config Setting
- kitty.mark3_foreground
  - Config Setting
- kitty.mouse_hide_wait
  - Config Setting
- kitty.Move tab backward
  - Keyboard Shortcut
- kitty.Move tab forward
  - Keyboard Shortcut
- kitty.Move window backward
  - Keyboard Shortcut
- kitty.Move window forward
  - Keyboard Shortcut
- kitty.Move window to top
  - Keyboard Shortcut
- kitty.New OS window
  - Keyboard Shortcut
- kitty.New tab
  - Keyboard Shortcut
- kitty.New window
  - Keyboard Shortcut
- kitty.Next layout
  - Keyboard Shortcut
- kitty.Next tab
  - Keyboard Shortcut
- kitty.Next window
  - Keyboard Shortcut
- kitty.Ninth window
  - Keyboard Shortcut
- kitty.Open selected path
  - Keyboard Shortcut
- kitty.Open the kitty command shell
  - Keyboard Shortcut
- kitty.Open the selected file at the selected line
  - Keyboard Shortcut
- kitty.Open the selected hyperlink
  - Keyboard Shortcut
- kitty.Open URL
  - Keyboard Shortcut
- kitty.open_url_with
  - Config Setting
- kitty.Pass selection to program
  - Keyboard Shortcut
- kitty.Paste from clipboard
  - Keyboard Shortcut
- kitty.Paste from selection
  - Keyboard Shortcut
- kitty.Paste from the primary selection
  - Keyboard Shortcut
- kitty.Paste from the primary selection even when grabbed
  - Keyboard Shortcut
- kitty.placement_strategy
  - Config Setting
- kitty.pointer_shape_when_dragging
  - Config Setting
- kitty.pointer_shape_when_grabbed
  - Config Setting
- kitty.Previous tab
  - Keyboard Shortcut
- kitty.Previous window
  - Keyboard Shortcut
- kitty.Reload kitty.conf
  - Keyboard Shortcut
- kitty.remember_window_size
  - Config Setting
- kitty.repaint_delay
  - Config Setting
- kitty.Reset background opacity
  - Keyboard Shortcut
- kitty.Reset font size
  - Keyboard Shortcut
- kitty.Reset the terminal
  - Keyboard Shortcut
- kitty.resize_debounce_time
  - Config Setting
- kitty.resize_draw_strategy
  - Config Setting
- kitty.resize_in_steps
  - Config Setting
- kitty.Scroll line down
  - Keyboard Shortcut
- kitty.Scroll line up
  - Keyboard Shortcut
- kitty.Scroll page down
  - Keyboard Shortcut
- kitty.Scroll page up
  - Keyboard Shortcut
- kitty.Scroll to bottom
  - Keyboard Shortcut
- kitty.Scroll to top
  - Keyboard Shortcut
- kitty.scrollback_fill_enlarged_window
  - Config Setting
- kitty.scrollback_lines
  - Config Setting
- kitty.scrollback_pager
  - Config Setting
- kitty.scrollback_pager_history_size
  - Config Setting
- kitty.Second window
  - Keyboard Shortcut
- kitty.Select a line
  - Keyboard Shortcut
- kitty.Select a line even when grabbed
  - Keyboard Shortcut
- kitty.Select a word
  - Keyboard Shortcut
- kitty.Select a word even when grabbed
  - Keyboard Shortcut
- kitty.Select line from point
  - Keyboard Shortcut
- kitty.Select line from point even when grabbed
  - Keyboard Shortcut
- kitty.select_by_word_characters
  - Config Setting
- kitty.selection_background
  - Config Setting
- kitty.selection_foreground
  - Config Setting
- kitty.Send arbitrary text on key presses
  - Keyboard Shortcut
- kitty.Set tab title
  - Keyboard Shortcut
- kitty.Seventh window
  - Keyboard Shortcut
- kitty.shell
  - Config Setting
- kitty.single_window_margin_width
  - Config Setting
- kitty.Sixth window
  - Keyboard Shortcut
- kitty.Start resizing window
  - Keyboard Shortcut
- kitty.Start selecting text
  - Keyboard Shortcut
- kitty.Start selecting text even when grabbed
  - Keyboard Shortcut
- kitty.Start selecting text in a rectangle
  - Keyboard Shortcut
- kitty.Start selecting text in a rectangle even when grabbed
  - Keyboard Shortcut
- kitty.startup_session
  - Config Setting
- kitty.strip_trailing_spaces
  - Config Setting
- kitty.symbol_map
  - Config Setting
- kitty.sync_to_monitor
  - Config Setting
- kitty.tab_activity_symbol
  - Config Setting
- kitty.tab_bar_background
  - Config Setting
- kitty.tab_bar_edge
  - Config Setting
- kitty.tab_bar_margin_height
  - Config Setting
- kitty.tab_bar_margin_width
  - Config Setting
- kitty.tab_bar_min_tabs
  - Config Setting
- kitty.tab_bar_style
  - Config Setting
- kitty.tab_fade
  - Config Setting
- kitty.tab_powerline_style
  - Config Setting
- kitty.tab_separator
  - Config Setting
- kitty.tab_switch_strategy
  - Config Setting
- kitty.tab_title_template
  - Config Setting
- kitty.Tenth window
  - Keyboard Shortcut
- kitty.term
  - Config Setting
- kitty.Third window
  - Keyboard Shortcut
- kitty.Toggle fullscreen
  - Keyboard Shortcut
- kitty.Toggle maximized
  - Keyboard Shortcut
- kitty.touch_scroll_multiplier
  - Config Setting
- kitty.Unicode input
  - Keyboard Shortcut
- kitty.update_check_interval
  - Config Setting
- kitty.url_color
  - Config Setting
- kitty.url_excluded_characters
  - Config Setting
- kitty.url_prefixes
  - Config Setting
- kitty.visual_bell_duration
  - Config Setting
- kitty.wayland_titlebar_color
  - Config Setting
- kitty.wheel_scroll_multiplier
  - Config Setting
- kitty.window_alert_on_bell
  - Config Setting
- kitty.window_border_width
  - Config Setting
- kitty.window_margin_width
  - Config Setting
- kitty.window_padding_width
  - Config Setting
- kitty.window_resize_step_cells
  - Config Setting
- KITTY_CHILD_CMDLINE
- KITTY_CONFIG_DIRECTORY, [1]
- KITTY_PIPE_DATA

## L

- LANG
- launch command line option
  - --allow-remote-control
  - --color <COLOR>
  - --copy-cmdline
  - --copy-colors
  - --copy-env
  - --cwd <CWD>
  - --env <ENV>
  - --keep-focus
  - --location <LOCATION>
  - --marker <MARKER>
  - --os-window-class <OS_WINDOW_CLASS>
  - --os-window-name <OS_WINDOW_NAME>
  - --stdin-add-formatting
  - --stdin-add-line-wrap-markers
  - --stdin-source <STDIN_SOURCE>
  - --tab-title <TAB_TITLE>
  - --title <WINDOW_TITLE>
  - --type <TYPE>
  - --watcher <WATCHER>
  - --window-title <WINDOW_TITLE>
  - -w <WATCHER>

- layout

## O

- os_window

- overlay

## R

- RFC
  - RFC 1950

## T

- tab

## V

- VISUAL, [1], [2], [3]

## W

- window